## genwall 1.0.0

=== Makefile ===
#############################################################################
# Makefile for building: genwall
# Generated by qmake (2.01a) (Qt 4.7.0) on: Sa 8. Sep 21:53:26 2012
# Project:  genwall-1.0.0.pro
# Template: app
# Command: d:/qtsdk/maemo/4.6.2/targets/fremantle-pr13/bin/qmake.exe -spec ../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/default -unix -after  OBJECTS_DIR=obj MOC_DIR=moc UI_DIR=ui RCC_DIR=rcc -o Makefile genwall-1.0.0.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/default -I. -I../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtCore -I../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtGui -I../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtMaemo5 -I../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include -I/usr/include -Imoc -Iui
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,D:/usr/lib
LIBS          = $(SUBLIBS)  -LD:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib -lcrypt -L/usr/lib -lQtMaemo5 -L/usr/X11R6/lib -lQtGui -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = d:/qtsdk/maemo/4.6.2/targets/fremantle-pr13/bin/qmake.exe
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = obj/

####### Files

SOURCES       = main.cpp \
		mainwindow.cpp \
		rcqtextedit.cpp \
		pwqdialog.cpp \
		addnowdialog.cpp moc/moc_mainwindow.cpp \
		moc/moc_texteditautoresizer.cpp \
		moc/moc_rcqtextedit.cpp \
		moc/moc_pwqdialog.cpp \
		moc/moc_addnowdialog.cpp \
		rcc/qrc_image.cpp
OBJECTS       = obj/main.o \
		obj/mainwindow.o \
		obj/rcqtextedit.o \
		obj/pwqdialog.o \
		obj/addnowdialog.o \
		obj/moc_mainwindow.o \
		obj/moc_texteditautoresizer.o \
		obj/moc_rcqtextedit.o \
		obj/moc_pwqdialog.o \
		obj/moc_addnowdialog.o \
		obj/qrc_image.o
DIST          = ../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/unix.conf \
		../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/linux.conf \
		../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/qconfig.pri \
		../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_functions.prf \
		../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_config.prf \
		../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/release.prf \
		../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_post.prf \
		../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/mobility.prf \
		../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
		../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt.prf \
		../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/unix/thread.prf \
		../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/moc.prf \
		../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/resources.prf \
		../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/uic.prf \
		../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/yacc.prf \
		../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/lex.prf \
		genwall-1.0.0.pro
QMAKE_TARGET  = genwall
DESTDIR       = 
TARGET        = genwall

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui/ui_mainwindow.h ui/ui_pwqdialog.h ui/ui_addnowdialog.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: genwall-1.0.0.pro  ../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/default/qmake.conf ../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/unix.conf \
		../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/linux.conf \
		../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/qconfig.pri \
		../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_functions.prf \
		../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_config.prf \
		../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/release.prf \
		../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_post.prf \
		../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/mobility.prf \
		../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
		../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt.prf \
		../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/unix/thread.prf \
		../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/moc.prf \
		../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/resources.prf \
		../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/uic.prf \
		../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/yacc.prf \
		../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/lex.prf \
		d:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtMaemo5.prl \
		d:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtGui.prl \
		d:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtDBus.prl \
		d:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtXml.prl \
		d:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtCore.prl
	$(QMAKE) -spec ../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/default -unix -after  OBJECTS_DIR=obj MOC_DIR=moc UI_DIR=ui RCC_DIR=rcc -o Makefile genwall-1.0.0.pro
../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/unix.conf:
../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/linux.conf:
../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/qconfig.pri:
../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_functions.prf:
../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_config.prf:
../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_pre.prf:
../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/release.prf:
../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_post.prf:
../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/mobility.prf:
../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/warn_on.prf:
../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt.prf:
../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/unix/thread.prf:
../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/moc.prf:
../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/resources.prf:
../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/uic.prf:
../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/yacc.prf:
../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/lex.prf:
d:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtMaemo5.prl:
d:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtGui.prl:
d:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtDBus.prl:
d:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtXml.prl:
d:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -spec ../../../QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/default -unix -after  OBJECTS_DIR=obj MOC_DIR=moc UI_DIR=ui RCC_DIR=rcc -o Makefile genwall-1.0.0.pro

dist: 
	@$(CHK_DIR_EXISTS) obj/genwall1.0.0 || $(MKDIR) obj/genwall1.0.0

=== debian/changelog ===
genwall (1.0.0) unstable; urgency=low
  * <
  - Layout changes
  - removed button bugs
  - removed syslog related pid bug
  - removed listwidget add bug no double item
  - added syslog handler
  - added log view
  - added filter options for log view
  - added extra rule creator for log view
  - added icmp handling
  - added filter view
  - added nat view
  - added output handling
  - added root password Authentication
  - added add/remove gateway
  - added dns resolv
  - added runtime add rule for log view and lo ports
  - added runtime remove rule for filter view
  >

 -- unknown <>  Sun, 02 Sep 2012 13:54:07 +0200

genwall (0.0.2) unstable; urgency=low
  * <
  - removed add forward port bug
  - removed load bug listwidget gets cleared before loading
  - improved local port handling
  - added function extra rules
  - added function clear all to listwidgets
  - added pidof syslogd, klogd
  - added notifications for start, stop, gen
  >

 -- unknown <>  Sun, 02 Sep 2012 12:47:33 +0200

genwall (0.0.1) unstable; urgency=low

  * Initial Release.

 -- unknown <>  Fri, 10 Aug 2012 13:54:12 +0000

=== debian/control ===
Source: genwall
Section: user/network
Priority: optional
Maintainer: Christian Weniger
Build-Depends: debhelper (>= 5), libqt4-dev
Standards-Version: 3.7.3
Homepage: <insert the upstream URL, if relevant>

Package: genwall
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: iptables firewall
 <iptables firewall generator and runtime control>
XB-Maemo-Display-Name: genwall
XB-Maemo-Icon-26: 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

## genwall 1.0.1

=== Makefile ===
#############################################################################
# Makefile for building: genwall
# Generated by qmake (2.01a) (Qt 4.7.0) on: Fr 25. Jan 22:17:00 2013
# Project:  genwall-1.0.1.pro
# Template: app
# Command: c:/qtsdk/maemo/4.6.2/targets/fremantle-pr13/bin/qmake.exe -spec c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/default -unix -after  OBJECTS_DIR=obj MOC_DIR=moc UI_DIR=ui RCC_DIR=rcc -o Makefile genwall-1.0.1.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -Ic:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/default -I. -Ic:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtCore -Ic:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtNetwork -Ic:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtGui -Ic:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtMaemo5 -Ic:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include -Ic:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/include/QtSystemInfo -I/usr/include -I/usr/include/QtSystemInfo -Imoc -Iui
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,D:/usr/lib
LIBS          = $(SUBLIBS)  -LC:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib -lcrypt -L/usr/lib -lQtSystemInfo -lQtMaemo5 -L/usr/X11R6/lib -lQtGui -lQtNetwork -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = c:/qtsdk/maemo/4.6.2/targets/fremantle-pr13/bin/qmake.exe
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = obj/

####### Files

SOURCES       = main.cpp \
		mainwindow.cpp \
		rcqtextedit.cpp \
		pwqdialog.cpp \
		addnowdialog.cpp moc/moc_mainwindow.cpp \
		moc/moc_texteditautoresizer.cpp \
		moc/moc_rcqtextedit.cpp \
		moc/moc_pwqdialog.cpp \
		moc/moc_addnowdialog.cpp \
		rcc/qrc_image.cpp
OBJECTS       = obj/main.o \
		obj/mainwindow.o \
		obj/rcqtextedit.o \
		obj/pwqdialog.o \
		obj/addnowdialog.o \
		obj/moc_mainwindow.o \
		obj/moc_texteditautoresizer.o \
		obj/moc_rcqtextedit.o \
		obj/moc_pwqdialog.o \
		obj/moc_addnowdialog.o \
		obj/qrc_image.o
DIST          = c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/unix.conf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/linux.conf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/qconfig.pri \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_functions.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_config.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_pre.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/release.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_post.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/mobility.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/unix/thread.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/moc.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/resources.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/uic.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/yacc.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/lex.prf \
		genwall-1.0.1.pro
QMAKE_TARGET  = genwall
DESTDIR       = 
TARGET        = genwall

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui/ui_mainwindow.h ui/ui_pwqdialog.h ui/ui_addnowdialog.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: genwall-1.0.1.pro  c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/default/qmake.conf c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/unix.conf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/linux.conf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/qconfig.pri \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_functions.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_config.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_pre.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/release.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_post.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/mobility.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/warn_on.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/unix/thread.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/moc.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/resources.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/uic.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/yacc.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/lex.prf \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtMaemo5.prl \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtGui.prl \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtDBus.prl \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtXml.prl \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtCore.prl \
		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtNetwork.prl
	$(QMAKE) -spec c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/default -unix -after  OBJECTS_DIR=obj MOC_DIR=moc UI_DIR=ui RCC_DIR=rcc -o Makefile genwall-1.0.1.pro
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/unix.conf:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/linux.conf:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/qconfig.pri:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_functions.prf:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_config.prf:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_pre.prf:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/release.prf:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/default_post.prf:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/mobility.prf:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/warn_on.prf:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt.prf:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/unix/thread.prf:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/moc.prf:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/resources.prf:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/uic.prf:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/yacc.prf:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/lex.prf:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtMaemo5.prl:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtGui.prl:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtDBus.prl:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtXml.prl:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtCore.prl:
c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -spec c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/default -unix -after  OBJECTS_DIR=obj MOC_DIR=moc UI_DIR=ui RCC_DIR=rcc -o Makefile genwall-1.0.1.pro

dist: 
	@$(CHK_DIR_EXISTS) obj/genwall1.0.0 || $(MKDIR) obj/genwall1.0.0

## genwall 1.0.2

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #############################################################################
 # Makefile for building: genwall
-# Generated by qmake (2.01a) (Qt 4.7.0) on: Fr 25. Jan 22:17:00 2013
-# Project:  genwall-1.0.1.pro
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Mo 20. Mai 19:21:50 2013
+# Project:  genwall-1.0.2.pro
 # Template: app
-# Command: c:/qtsdk/maemo/4.6.2/targets/fremantle-pr13/bin/qmake.exe -spec c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/default -unix -after  OBJECTS_DIR=obj MOC_DIR=moc UI_DIR=ui RCC_DIR=rcc -o Makefile genwall-1.0.1.pro
+# Command: c:/qtsdk/maemo/4.6.2/targets/fremantle-pr13/bin/qmake.exe -spec c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/default -unix -after  OBJECTS_DIR=obj MOC_DIR=moc UI_DIR=ui RCC_DIR=rcc -o Makefile genwall-1.0.2.pro
 #############################################################################
 
 ####### Compiler, tools and options
@@ -82,7 +82,7 @@
 		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/uic.prf \
 		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/yacc.prf \
 		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/lex.prf \
-		genwall-1.0.1.pro
+		genwall-1.0.2.pro
 QMAKE_TARGET  = genwall
 DESTDIR       = 
 TARGET        = genwall
@@ -111,7 +111,7 @@
 $(TARGET): ui/ui_mainwindow.h ui/ui_pwqdialog.h ui/ui_addnowdialog.h $(OBJECTS)  
 	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)
 
-Makefile: genwall-1.0.1.pro  c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/default/qmake.conf c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/unix.conf \
+Makefile: genwall-1.0.2.pro  c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/default/qmake.conf c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/unix.conf \
 		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/linux.conf \
 		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/qconfig.pri \
 		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/features/qt_functions.prf \
@@ -135,7 +135,7 @@
 		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtXml.prl \
 		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtCore.prl \
 		c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtNetwork.prl
-	$(QMAKE) -spec c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/default -unix -after  OBJECTS_DIR=obj MOC_DIR=moc UI_DIR=ui RCC_DIR=rcc -o Makefile genwall-1.0.1.pro
+	$(QMAKE) -spec c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/default -unix -after  OBJECTS_DIR=obj MOC_DIR=moc UI_DIR=ui RCC_DIR=rcc -o Makefile genwall-1.0.2.pro
 c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/unix.conf:
 c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/common/linux.conf:
 c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/qconfig.pri:
@@ -161,7 +161,7 @@
 c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtCore.prl:
 c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/lib/libQtNetwork.prl:
 qmake:  FORCE
-	@$(QMAKE) -spec c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/default -unix -after  OBJECTS_DIR=obj MOC_DIR=moc UI_DIR=ui RCC_DIR=rcc -o Makefile genwall-1.0.1.pro
+	@$(QMAKE) -spec c:/QtSDK/Maemo/4.6.2/sysroots/fremantle-arm-sysroot-20.2010.36-2-slim/usr/share/qt4/mkspecs/default -unix -after  OBJECTS_DIR=obj MOC_DIR=moc UI_DIR=ui RCC_DIR=rcc -o Makefile genwall-1.0.2.pro
 
 dist: 
 	@$(CHK_DIR_EXISTS) obj/genwall1.0.0 || $(MKDIR) obj/genwall1.0.0

=== debian/changelog ===
genwall (1.0.2) unstable; urgency=low
  - added wifi ad-hoc
  - added start/stop ssh server

 -- unknown <>  Tue, 14 May 2013 21:42:32 +0200

genwall (1.0.1) unstable; urgency=low
  - added start script for application icon
  - small fix in save widget option
  - added sysinfo to about dialog
  - added rootsh and iptables to dependencies

 -- unknown <>  Mon, 15 Oct 2012 00:31:17 +0200

=== debian/control ===
Source: genwall
Section: user/network
Priority: optional
Maintainer: Christian Weniger
Build-Depends: debhelper (>= 5), libqt4-dev, libqtm-dev
Standards-Version: 3.7.3
Homepage: http://maemo.org/packages/view/genwall/

Package: genwall
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, iptables, rootsh
Description: iptables firewall
 Genwall is an iptables firewall generator and runtime control gui.
XB-Maemo-Display-Name: genwall
XB-Maemo-Icon-26: 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
XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=genwall
